summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2004-09-22 20:04:27 +0000
committerMike Frysinger <vapier@gentoo.org>2004-09-22 20:04:27 +0000
commit76ca499f4ebb8eac0b3a4aafa9a7ea6216796218 (patch)
tree92748212e97da67c0085f35f7e1dd8efe4a44288 /eclass/libtool.eclass
parentAdjusted dependency on babytrans-en (Manifest recommit) (diff)
downloadgentoo-2-76ca499f4ebb8eac0b3a4aafa9a7ea6216796218.tar.gz
gentoo-2-76ca499f4ebb8eac0b3a4aafa9a7ea6216796218.tar.bz2
gentoo-2-76ca499f4ebb8eac0b3a4aafa9a7ea6216796218.zip
also patch ltconfig files
Diffstat (limited to 'eclass/libtool.eclass')
-rw-r--r--eclass/libtool.eclass20
1 files changed, 16 insertions, 4 deletions
diff --git a/eclass/libtool.eclass b/eclass/libtool.eclass
index d153da074a7c..0a2a511fcd89 100644
--- a/eclass/libtool.eclass
+++ b/eclass/libtool.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/libtool.eclass,v 1.30 2004/09/22 18:33:47 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/libtool.eclass,v 1.31 2004/09/22 20:04:27 vapier Exp $
#
# Author: Martin Schlemmer <azarah@gentoo.org>
#
@@ -270,10 +270,22 @@ uclibctoolize() {
einfo "Applying uClibc/libtool patches ..."
for x in ${targets} ; do
- if grep 'Transform linux' "${x}" >/dev/null ; then
+ case $(basename "${x}") in
+ configure)
+ if grep 'Transform linux' "${x}" >/dev/null ; then
+ ebegin " Fixing \${S}${x/${S}}"
+ patch -p0 "${x}" "${ELT_PATCH_DIR}/uclibc/configure.patch" > /dev/null
+ eend $? "PLEASE CHECK ${x}"
+ fi
+ ;;
+
+ ltconfig)
+ local ver="$(grep '^VERSION=' ${x})"
+ ver="${ver/VERSION=}"
ebegin " Fixing \${S}${x/${S}}"
- patch -p0 "${x}" "${ELT_PATCH_DIR}/uclibc/configure.patch" > /dev/null
+ patch -p0 "${x}" "${ELT_PATCH_DIR}/uclibc/ltconfig-${ver:0:3}.patch" > /dev/null
eend $? "PLEASE CHECK ${x}"
- fi
+ ;;
+ esac
done
}